[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TComponent.Components

Indexed list (zero-based) of all owned components.

## Declaration

Source position: classesh.inc line 1754

`public property TComponent.Components : TComponent read GetComponent;`

## Description

Components provides indexed access to the list of owned components. Index can range from 0 to ComponentCount-1.

## See also

ComponentCount |  | Count of owned components
Owner |  | Owner of this component.

Documentation generated on: Feb 26 2014